Summary:	The Waf build system
Summary(pl.UTF-8):	System budowania Waf
Name:		waf
Version:	1.8.4
Release:	2
# note: waf book is on CC-BY-NC-ND (not included in binary package)
License:	BSD
Group:		Development/Building
#Source0Download: http://code.google.com/p/waf/downloads/list
Source0:	ftp://ftp.waf.io/pub/release/%{name}-%{version}.tar.bz2
# Source0-md5:	74fe300a69170a9f2ecb923a99877531
Patch0:		%{name}-path.patch
URL:		http://code.google.com/p/waf/
BuildRequires:	python >= 1:2.6
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.234
Requires:	python(abi) = %{py_ver}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Waf is a general-purpose build system which was modelled from Scons.
Though it comes last in the arena of the build systems, we believe
that Waf is a vastly superior alternative to its competitors
(Autotools, Scons, Cmake, Ant, etc) for building software,

%description -l pl.UTF-8
Waf to system budowania ogólnego przeznaczenia opracowany na podstawie
Scons. Mimo że pojawił się jako ostatni na arenie systemów budowania,
autorzy wierzą, że przewyższa alternatywne narzędzia (Autotools,
Scons, Cmake, Ant itp.).

%prep
%setup -q
%patch0 -p1

%build
# check waf-light
extras=
for f in waflib/extras/*.py ; do
	tool=$(basename "$f" .py)
	if [ "$tool" != "__init__" ]; then
		extras="${extras:+$extras,}$tool"
	fi
done
./waf-light --make-waf --strip --tools="$extras"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/waf/waflib/{Tools,extras}

cp -p waflib/*.py $RPM_BUILD_ROOT%{_datadir}/waf/waflib
cp -p waflib/Tools/*.py $RPM_BUILD_ROOT%{_datadir}/waf/waflib/Tools
cp -p waflib/extras/*.py $RPM_BUILD_ROOT%{_datadir}/waf/waflib/extras

install -D -p waf-light $RPM_BUILD_ROOT%{_bindir}/waf

%py_comp $RPM_BUILD_ROOT%{_datadir}/waf/waflib
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/waf/waflib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_bindir}/waf
%{_datadir}/waf
%changelog
* Wed Nov 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/waf.git;a=log;h=master

* Wed Nov 26 2014 Jan Palus <atler@pld-linux.org> 115fc9d
- missing patch update for 1.8.4
- rel 2

* Wed Nov 26 2014 Jan Palus <atler@pld-linux.org> 3965fd3
- up to 1.8.4

* Sat Mar 29 2014 Jan Palus <jan.palus@gmail.com> bfd9723
- up to 1.7.16
- switch source url to waf ftp site

* Tue Jan 14 2014 Jan Palus <jan.palus@gmail.com> 78fed78
- up to 1.7.15

* Tue Jan 07 2014 Jan Palus <jan.palus@gmail.com> 8242068
- up to 1.7.14
- don't clean *.py files (internal logic depends on them)

* Wed Sep 11 2013 Jakub Bogusz <qboosh@pld-linux.org> a6ad564
- updated to 1.7.13

* Sat Jun 01 2013 Lukasz Glebicki <blekot@pld-linux.org> cec1adb
- up to 1.7.11

* Fri Jan 18 2013 Jakub Bogusz <qboosh@pld-linux.org> b96cfb9
- updated to 1.7.9

* Thu Jan 10 2013 Jakub Bogusz <qboosh@pld-linux.org> f2e7d40
- updated to 1.7.8

* Sun Nov 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 978226c
- updated to 1.7.6

* Sun Feb 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 4bc589b
- updated to 1.6.11

* Tue Dec 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 6c85b63
- updated to 1.6.10

* Sat Nov 26 2011 Jakub Bogusz <qboosh@pld-linux.org> dad7c13
- updated to 1.6.9

* Thu Oct 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 4f87363
- updated to 1.6.8

* Sun Aug 14 2011 Jakub Bogusz <qboosh@pld-linux.org> c964d68
- updated to 1.6.7

* Fri Jun 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 876d856
- updated to 1.6.6

* Sun May 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 2110cbf
- macros version

* Sun May 01 2011 Jakub Bogusz <qboosh@pld-linux.org> c9f31fb
- updated to 1.6.4
- updated path patch
- install target dropped upstream, so do it ourselves

* Sat Oct 02 2010 Krzysztof Goliński <dirdival@pld-linux.org> 58100ae
- updated to 1.5.19

* Thu Jul 08 2010 Krzysztof Goliński <dirdival@pld-linux.org> 8f197f4
- updated to 1.5.18

